/**本脚本为自动生成，每次生成会覆盖！请勿手动修改，生成插件文档及项目地址：https://git.whoot.com/whoot-games/whoot.fguieditorplugin**/


using FairyGUI;
using FairyGUI.Utils;
using NBC;

namespace NBF
{
    public partial class CommonInput
    {
        public const string URL = "ui://6hgkvlau9zboma";

        public Controller FocusState;
        public GTextInput Input;

        public override void ConstructFromXML(XML xml)
        {
            base.ConstructFromXML(xml);

            FocusState = GetController("FocusState");
            Input = (GTextInput)GetChild("Input");
            OnInited();
            UILanguage.TrySetComponentLanguage(this);
        }
    }
}